Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3737 - cvs should use /usr/lib/libz.so.1
Summary: cvs should use /usr/lib/libz.so.1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-25 20:36 UTC by monnier+lists/redhat/bugs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-23 18:01:16 UTC


Attachments (Terms of Use)

Description monnier+lists/redhat/bugs 1999-06-25 20:36:57 UTC
ldd /usr/bin/cvs shows that cvs was compiled without
the shared zlib.  It would make more sense to use the
shared library rather than link zlib statically in the
executable.
The same seems to apply to the various XFree86 servers
as well as the xfs font server who are able to read .gz
files but don't use the shared library.
Oh and also rsync.


------- Additional Comments From   07/23/99 10:17 -------
zlib is small enough (about 20k-30k) that this isn't a problem.


Note You need to log in before you can comment on or make changes to this bug.